This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 865069 - conflict between yum packages and pip packages when upgrading
conflict between yum packages and pip packages when upgrading
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bohuslav "Slavek" Kabrda
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-10 14:23 EDT by Grégory Salvan
Modified: 2013-07-31 15:51 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 15:51:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Grégory Salvan 2012-10-10 14:23:45 EDT
Description of problem:
When upgrading with pip a package already installed with yum, an error occur.

Version-Release number of selected component (if applicable):
pip 1.2 from /usr/lib/python2.7/site-packages (python 2.7)


How reproducible:
Try to upgrade a package with pip installed with yum.

Steps to Reproduce:

$ sudo yum install syck-python.x86_64
$ pip install -U Syck
Could not find any downloads that satisfy the requirement Syck in /usr/lib64/python2.7/site-packages
Downloading/unpacking Syck
No distributions at all found for Syck in /usr/lib64/python2.7/site-packages
Storing complete log in /root/.pip/pip.log

This is reproducible with any (most of ?) package installed by yum and available in pip. (saw for PyChart, Postr, Magic-file-extensions...)


Additional info:
A workaround is to uninstall yum package with pip (ex):
 $ pip uninstall Syck
then install yum development package for needed library (in this case syck-devel.x86_64)
 $ sudo yum install syck-devel.x86_64
and reinstall pip corresponding package:
 $ sudo pip install PySyck

Can really be a matter when you try to update all pip packages with:
 $ pip freeze --local | cut -d = -f 1  | xargs pip install -U

or have dependency versions in buildout.
Comment 1 Fedora Admin XMLRPC Client 2013-05-10 01:07:02 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora Admin XMLRPC Client 2013-05-10 01:07:11 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora Admin XMLRPC Client 2013-05-10 01:09:51 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora End Of Life 2013-07-03 16:14:32 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-07-31 15:51:08 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.